{
	"artifacts" : 
	[
		{
			"path" : "app/src/main/cpp/kde.exe"
		},
		{
			"path" : "app/src/main/cpp/kde.pdb"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_executable",
			"target_link_libraries",
			"target_include_directories"
		],
		"files" : 
		[
			"app/src/main/cpp/CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 41,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 46,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 47,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "/DWIN32 /D_WINDOWS /GR /EHsc /Zi /Ob0 /Od /RTC1 -MDd"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 3,
					"path" : "D:/Code/Projects/kde/app/src/main/cpp/../../../glfw/include"
				},
				{
					"backtrace" : 2,
					"path" : "D:/Code/Projects/kde/glfw/include"
				}
			],
			"language" : "CXX",
			"sourceIndexes" : 
			[
				0,
				2,
				4,
				7,
				9,
				11
			]
		},
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "/DWIN32 /D_WINDOWS /Zi /Ob0 /Od /RTC1 -MDd"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 3,
					"path" : "D:/Code/Projects/kde/app/src/main/cpp/../../../glfw/include"
				},
				{
					"backtrace" : 2,
					"path" : "D:/Code/Projects/kde/glfw/include"
				}
			],
			"language" : "C",
			"sourceIndexes" : 
			[
				12
			]
		}
	],
	"dependencies" : 
	[
		{
			"backtrace" : 2,
			"id" : "glfw::@12507ebf64a5258d241e"
		}
	],
	"id" : "kde::@e4a5ebf93fb5e5238cb7",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "/DWIN32 /D_WINDOWS /GR /EHsc /Zi /Ob0 /Od /RTC1 -MDd",
				"role" : "flags"
			},
			{
				"fragment" : "/machine:x64 /debug /INCREMENTAL /subsystem:console",
				"role" : "flags"
			},
			{
				"backtrace" : 2,
				"fragment" : "glfw\\src\\glfw3.lib",
				"role" : "libraries"
			},
			{
				"fragment" : "kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "kde",
	"nameOnDisk" : "kde.exe",
	"paths" : 
	{
		"build" : "app/src/main/cpp",
		"source" : "app/src/main/cpp"
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				2,
				4,
				7,
				9,
				11,
				12
			]
		},
		{
			"name" : "Header Files",
			"sourceIndexes" : 
			[
				1,
				3,
				5,
				6,
				8,
				10,
				13
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "app/src/main/cpp/Renderer.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "app/src/main/cpp/Renderer.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "app/src/main/cpp/Texture.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "app/src/main/cpp/Texture.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "app/src/main/cpp/AssetManager.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "app/src/main/cpp/AssetManager.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "app/src/main/cpp/StringRepository.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "app/src/main/cpp/StringRepository.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "app/src/main/cpp/Hash.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "app/src/main/cpp/Hash.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "app/src/main/cpp/GameState.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "app/src/main/cpp/win32_kde.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 1,
			"path" : "app/src/main/cpp/glad.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "app/src/main/cpp/glad.h",
			"sourceGroupIndex" : 1
		}
	],
	"type" : "EXECUTABLE"
}
